Bug 486686 - Review Request: tkgate - Digital Circuit Simulator
Review Request: tkgate - Digital Circuit Simulator
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Chitlesh GOORAH
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-02-20 19:37 EST by Thibault North
Modified: 2009-03-21 07:35 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-03-21 07:35:24 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
chitlesh: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Thibault North 2009-02-20 19:37:56 EST
Spec URL: http://tnorth.fedorapeople.org/FEL/tkgate.spec
SRPM URL: http://tnorth.fedorapeople.org/FEL/tkgate-2.0-2.beta6.fc11.src.rpm
Description: 
TkGate is a event driven digital circuit simulator based on Verilog . TkGate supports a wide range of primitive circuit elements as well as user-defined modules for hierarchical design.
Comment 1 Chitlesh GOORAH 2009-02-23 13:41:57 EST
chitlesh(~)[0]$tkgate                                                                                          

I could not locate the tkgate home directory.  I tried looking in:
  /home/chitlesh  (current directory)                             
  /usr/share/tkgate  (primary location)                           
  /home/chitlesh/rpmbuild/BUILD/tkgate-2.0-b6  (secondary location)

Try setting the environment variable TKGATE_HOME.



-------------------

Can you fix this please before I start the review ?
Comment 2 Thibault North 2009-03-05 09:32:06 EST
Thanks for the feedback. There is a new beta available, so it is now updated[1], and works for me.
Could you check again please ?

[1]SRPM URL: http://tnorth.fedorapeople.org/FEL/tkgate-2.0-1.beta7.fc11.src.rpm
[2]RPM i586: http://tnorth.fedorapeople.org/FEL/tkgate-2.0-1.beta7.fc11.i586.rpm
Comment 3 Thibault North 2009-03-05 13:55:20 EST
There was indeed a bug with the file site-preferences moved as a document. Now creates and empty file %{_datadir}/%{name}/site-preferences, that's what tkgate wants to find its home directory.

SRPM and RPM have been updated, same address than above.
Comment 4 Chitlesh GOORAH 2009-03-05 16:49:41 EST
I can't extract from the SRPM:

error: unpacking of archive failed on file /home/chitlesh/rpmbuild/SOURCES/tkgate-2.0-b7.tar.gz;49b04880: cpio: MD5 sum mismatch

Upload it again
Comment 5 Thibault North 2009-03-05 18:18:01 EST
Humm problems using fedorapeople.org.

New srpm :
http://tnorth.ch/tkgate-2.0-4.beta7.fc11.src.rpm
Comment 6 Chitlesh GOORAH 2009-03-06 14:39:24 EST
A few minor fixes are required before the commit:
- add a -p to the cp
- update the desktop file to the one below as it improves its menu entry on kde
cat > %{name}.desktop << EOF
[Desktop Entry]
Encoding=UTF-8
Name=Digital circuit simulator
GenericName=Verilog circuit simulator
Comment=Digital circuit simulator
Type=Application
Exec=tkgate
Icon=tkgate
Categories=Engineering;Electronics;
EOF

Package Approved
Comment 7 Thibault North 2009-03-06 18:18:03 EST
Fixes have been applied.

http://tnorth.ch/tkgate-2.0-5.beta7.fc11.src.rpm

Koji build:
http://koji.fedoraproject.org/koji/taskinfo?taskID=1227946

Thanks.
Comment 8 Chitlesh GOORAH 2009-03-07 04:48:20 EST
Please follow this wiki page
http://fedoraproject.org/wiki/PackageMaintainers/CVSAdminProcedure
when requesting CVS branches.
Comment 9 Thibault North 2009-03-07 11:58:19 EST
New Package CVS Request
=======================
Package Name: tkgate
Short Description: Digital Circuit Simulator
Owners: tnorth
Branches: F-9 F-10 EL-5
InitialCC: chitlesh
Comment 10 Kevin Fenzi 2009-03-07 12:08:03 EST
cvs done.
Comment 11 Chitlesh GOORAH 2009-03-21 07:35:24 EDT
Already pushed in stable repos.

Note You need to log in before you can comment on or make changes to this bug.